/*
 * Copyright 2018 NAVER Corp.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.navercorp.test.pinpoint.plugin.rabbitmq.spring.config;

import com.navercorp.test.pinpoint.plugin.rabbitmq.spring.receiver.TestReceiver;
import com.navercorp.test.pinpoint.plugin.rabbitmq.spring.receiver.TestReceiver_Post_1_6_0;
import org.springframework.amqp.rabbit.core.RabbitTemplate;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * @author HyunGil Jeong
 */
@Configuration
public class ReceiverConfig_Post_1_6_0 {

    @Bean
    public TestReceiver testReceiver(RabbitTemplate rabbitTemplate) {
        return new TestReceiver_Post_1_6_0(rabbitTemplate);
    }
}
