/*
 * Copyright 2018 NAVER Corp.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.navercorp.test.pinpoint.plugin.rxjava.service;

import com.navercorp.test.pinpoint.plugin.rxjava.repository.EchoRepository;
import rx.Completable;

import java.util.concurrent.Callable;

/**
 * @author HyunGil Jeong
 */
public class ShoutService {

    private final EchoRepository echoRepository = new EchoRepository();

    public Completable shout(final String message) {
        return Completable.fromCallable(new Callable<Void>() {
            @Override
            public Void call() throws Exception {
                echoRepository.shout(message);
                return null;
            }
        });
    }

    public Completable shout(final String message, final Exception expected) {
        return Completable.fromCallable(new Callable<Void>() {
            @Override
            public Void call() throws Exception {
                echoRepository.shout(message, expected);
                return null;
            }
        });
    }
}
