/*
 * Copyright 2014 NAVER Corp.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.navercorp.pinpoint.profiler.jdbc;

import com.navercorp.pinpoint.common.util.ArrayUtils;

/**
 * @author emeroad
 */
public class BytesConverter implements Converter {
    protected final int maxWidth;

    public BytesConverter(int maxWidth) {
        this.maxWidth = maxWidth;
    }

    @Override
    public String convert(Object[] args) {
        if (args == null) {
            return "null";
        }
        if (args.length == 2) {
            final byte[] bytes = (byte[]) args[1];
            if (bytes == null) {
                return "null";
            } else {
                return convert(bytes);
            }
        }
        return "error";
    }

    protected String convert(byte[] bytes) {
        return ArrayUtils.abbreviate(bytes, maxWidth);
    }
}
