/*
 * Copyright 2014 NAVER Corp.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.navercorp.pinpoint.thrift.io;

/**
 * @author Taejin Koo
 */
public class SpanStreamConstants {

    public static final int START_PROTOCOL_BUFFER_SIZE = 3;
    public static final int DEFAULT_CHUNK_FLAG_BUFFER_SIZE = 2;
    public static final int END_PROTOCOL_BUFFER_SIZE = 1;

    public static class Protocol {
        public static final byte SPAN_STREAM_SIGNATURE = (byte) 0xCC;
        public static final byte SPAN_STREAM_VERSION = (byte) 0x10;
        public static final byte SPAN_STREAM_END = 'z';
    }

}
