/*
 * Copyright 2020 NAVER Corp.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.navercorp.pinpoint.web.applicationmap.appender.metric;

/**
 * @author minwoo.jung
 */
public class DBMetric {

    private DatabaseType databaseType;
    private String databaseName;
    private String matchingKey;

    public DBMetric(DatabaseType databaseType, String databaseName, String matchingKey) {
        this.databaseType = databaseType;
        this.databaseName = databaseName;
        this.matchingKey = matchingKey;
    }

    public String getDatabaseName() {
        return databaseName;
    }

    public String getMatchingKey() {
        return matchingKey;
    }

    public DatabaseType getDatabaseType() {
        return databaseType;
    }
}
